﻿$ErrorActionPreference = 'Stop';

$version = $env:chocolateyPackageVersion
$packageName = $env:chocolateyPackageName
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://github.com/twpayne/chezmoi/releases/download/v2.4.0/chezmoi_2.4.0_windows_i386.zip'
$url64 = 'https://github.com/twpayne/chezmoi/releases/download/v2.4.0/chezmoi_2.4.0_windows_amd64.zip'

$packageArgs = @{
    packageName    = $packageName
    unzipLocation  = $toolsDir
    fileType       = 'exe'
    url            = $url
    url64bit       = $url64
    checksum       = '7f774e2713d5579a7b6a077c1c0e141f6ad0583e373ccdf1e72263bcf1785cef'
    checksumType   = 'sha256'
    checksum64     = 'd7a2d03aadee03fd8afd1136c96a6da4eddec037e25a9463f36711ca54356e3a'
    checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
